カスタムドメイン
GET https://qrcloud.online/api/domains/
curl --request GET \
--url 'https://qrcloud.online/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索対象のフィールドは何ですか。許可される値は:host です。 |
| is_enabled | オプション ブール値 | |
| datetime_field | オプション 文字列 | 許可された値: datetime, last_datetime |
| datetime_start | オプション 文字列 | この日時からフィルタ結果を開始します。Y-m-d H:i:s形式。 |
| datetime_end | オプション 文字列 | この日時までの結果をフィルタリングします。 Y-m-d H:i:s 形式。 |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可される値は domain_id, datetime, last_datetime, host です。 |
| order_type | オプション 文字列 | 結果の順序。許可される値は: ASC 昇順の並び替え用、および DESC 降順の並び替え用。 |
| page | オプション 整数 | 求めるページ番号からの結果です。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりに表示したい結果の数。許可されている値は: 10, 25, 50, 100, 250, 500, 1000です。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-20 05:34:31",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/domains?page=1",
"last": "https://qrcloud.online/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/domains?page=1"
}
}
GET https://qrcloud.online/api/domains/{domain_id}
curl --request GET \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-20 05:34:31",
}
}
POST https://qrcloud.online/api/domains
| パラメータ | 詳細 | 説明 |
|---|---|---|
| host | 必須 文字列 | - |
| custom_index_url | オプション 文字列 | - |
| custom_not_found_url | オプション 文字列 | - |
curl --request POST \
--url 'https://qrcloud.online/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://qrcloud.online/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://qrcloud.online/api/domains/{domain_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| host | オプション 文字列 | - |
| custom_index_url | オプション 文字列 | - |
| custom_not_found_url | オプション 文字列 | - |
curl --request POST \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://qrcloud.online/api/domains/{domain_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \